<?php

return function($site,$page) {

  // fetch the basic set of pages
  $articles = $page->children()->listed();

  // fetch all tags
  $tags = $articles->pluck('tags', ',', true);
  sort($tags, SORT_LOCALE_STRING);

  // add the tag filter
  if($tag = param('tag')) {
    $tag =  urldecode($tag);
    $articles = $articles->filterBy('tags', $tag, ',');
  }

  // apply pagination
  $pageNumber = $site->paginationnumber()->toInt();
  $articles   = $articles->paginate($pageNumber);
  $pagination = $articles->pagination();


  return compact('articles', 'tags', 'tag', 'pagination');

};
